SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

DELIMITER //

DROP PROCEDURE IF EXISTS Stats_GetSupportRequestFrequency//
CREATE PROCEDURE `Stats_GetSupportRequestFrequency` (IN dateFrom DATE)
READS SQL DATA
BEGIN
SELECT
  count(DATE(requests.Date)) as counted_leads, DATE(requests.Date) as count_date
FROM `requests`WHERE requests.Date > dateFrom
GROUP BY DATE(requests.Date);
END //

DROP PROCEDURE IF EXISTS Stats_GetSignInFrequency//
CREATE PROCEDURE `Stats_GetSignInFrequency` (IN dateFrom DATE)
READS SQL DATA
BEGIN
SELECT 
	count(DATE(logs_signin.Date)) as counted_signs, DATE(logs_signin.Date) as time_signs
	FROM `logs_signin` WHERE logs_signin.Date > dateFrom
GROUP BY DATE(logs_signin.Date);
END//

DELIMITER ;